--- old/usr/src/man/man2/sigaction.2	Sun Nov  2 01:27:47 2014
+++ new/usr/src/man/man2/sigaction.2	Sun Nov  2 01:27:47 2014
@@ -1,10 +1,11 @@
 '\" te
+.\" Copyright (c) 2014, Ryan Zezeski.  All Rights Reserved.
 .\" Copyright (c) 2007, Sun Microsystems, Inc.  All Rights Reserved.
 .\" Copyright 1989 AT&T
 .\" The contents of this file are subject to the terms of the Common Development and Distribution License (the "License").  You may not use this file except in compliance with the License.
 .\" You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE or http://www.opensolaris.org/os/licensing.  See the License for the specific language governing permissions and limitations under the License.
 .\" When distributing Covered Code, include this CDDL HEADER in each file and include the License file at usr/src/OPENSOLARIS.LICENSE.  If applicable, add the following below this CDDL HEADER, with the fields enclosed by brackets "[]" replaced with your own identifying information: Portions Copyright [yyyy] [name of copyright owner]
-.TH SIGACTION 2 "Mar 23, 2005"
+.TH SIGACTION 2 "Oct 22, 2014"
 .SH NAME
 sigaction \- detailed signal management
 .SH SYNOPSIS
@@ -17,7 +18,6 @@
 .fi
 
 .SH DESCRIPTION
-.sp
 .LP
 The \fBsigaction()\fR function allows the calling process to examine or specify
 the action to be taken on delivery of a specific signal. See
@@ -104,8 +104,10 @@
 \fB\fBSA_NODEFER\fR\fR
 .ad
 .RS 16n
-If set and the signal is caught, the signal will not be automatically blocked
-by the kernel while it is being caught.
+If set and the signal is caught, the signal will not be automatically
+blocked by the kernel while it is being caught.  Unless the signal is
+a realtime signal.  Multiple instances of the same realtime signal
+must be delivered in FIFO order and thus are always deferred.
 .RE
 
 .sp
@@ -167,13 +169,11 @@
 .RE
 
 .SH RETURN VALUES
-.sp
 .LP
 Upon successful completion, \fB0\fR is returned. Otherwise, \fB\(mi1\fR is
 returned, \fBerrno\fR is set to indicate the error, and no new signal handler
 is installed.
 .SH ERRORS
-.sp
 .LP
 The \fBsigaction()\fR function will fail if:
 .sp
@@ -188,7 +188,6 @@
 .RE
 
 .SH ATTRIBUTES
-.sp
 .LP
 See \fBattributes\fR(5) for descriptions of the following attributes:
 .sp
@@ -208,7 +207,6 @@
 .TE
 
 .SH SEE ALSO
-.sp
 .LP
 \fBkill\fR(1), \fBIntro\fR(2), \fBexit\fR(2), \fBfcntl\fR(2), \fBgetmsg\fR(2),
 \fBioctl\fR(2), \fBkill\fR(2), \fBpause\fR(2), \fBputmsg\fR(2), \fBread\fR(2),
@@ -218,7 +216,6 @@
 \fBsignal.h\fR(3HEAD), \fBsigsetops\fR(3C), \fBucontext.h\fR(3HEAD),
 \fBwait\fR(3C), \fBattributes\fR(5), \fBstandards\fR(5)
 .SH NOTES
-.sp
 .LP
 The handler routine can be declared:
 .sp
